---
---
<!-- HTML header for doxygen 1.8.10-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>TGUI: include/TGUI/Widgets/Button.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<!-- BEGIN CUSTOM 1 -->
<!-- --{{""}}>
{% include head.ext %}
<style>
  div {
    margin-bottom: 0
  }
  #contents {
    padding-left: 0;
    padding-right: 0;
    margin-left: 0;
    margin-right: 0;
    max-width: 1060px;
  }
  address.footer {
    padding-bottom: 1.4em;
  }
</style>
<script type="text/javascript">
function getXPos(item) {
  var x = 0;
  if (item.offsetWidth) {
    while (item && item != document.body && item.id != 'body') {
      x   += item.offsetLeft;
      item = item.offsetParent;
    }
  }
  return x;
}
</script>
<{{""}}!-- -->
<!-- END CUSTOM 1 -->
</head>
<body>
<!-- BEGIN CUSTOM 2 -->
<!-- --{{""}}>
<div id="body" class="NoMargin">
{% include navigation.ext %}
<div id="contents" class="NoMargin">
<{{""}}!-- {% raw %} -->
<!-- END CUSTOM 2 -->
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">TGUI
   &#160;<span id="projectnumber">v0.7-dev</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d44c64559bbebec7f509842c48db8b23.html">include</a></li><li class="navelem"><a class="el" href="dir_380f920385a16f176be7632160138052.html">TGUI</a></li><li class="navelem"><a class="el" href="dir_0bb95f096d007de7ff009a2d5974766c.html">Widgets</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">Button.hpp</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">// TGUI - Texus&#39;s Graphical User Interface</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">// Copyright (C) 2012-2017 Bruno Van de Velde (vdv_b@tgui.eu)</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment">// This software is provided &#39;as-is&#39;, without any express or implied warranty.</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment">// In no event will the authors be held liable for any damages arising from the use of this software.</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment">// Permission is granted to anyone to use this software for any purpose,</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment">// including commercial applications, and to alter it and redistribute it freely,</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment">// subject to the following restrictions:</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment">// 1. The origin of this software must not be misrepresented;</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment">//    you must not claim that you wrote the original software.</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment">//    If you use this software in a product, an acknowledgment</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment">//    in the product documentation would be appreciated but is not required.</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="comment">// 2. Altered source versions must be plainly marked as such,</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment">//    and must not be misrepresented as being the original software.</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="comment">// 3. This notice may not be removed or altered from any source distribution.</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="comment">//</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="comment"></span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="preprocessor">#ifndef TGUI_BUTTON_HPP</span></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="preprocessor">#define TGUI_BUTTON_HPP</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="preprocessor">#include &lt;TGUI/Widgets/Label.hpp&gt;</span></div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespacetgui.html">tgui</a></div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;{</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;    <span class="keyword">class </span>Container;</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;    <span class="keyword">class </span>ButtonRenderer;</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;</div><div class="line"><a name="l00050"></a><span class="lineno"><a class="line" href="classtgui_1_1Button.html">   50</a></span>&#160;    <span class="keyword">class </span>TGUI_API <a class="code" href="classtgui_1_1Button.html">Button</a> : <span class="keyword">public</span> <a class="code" href="classtgui_1_1ClickableWidget.html">ClickableWidget</a></div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;    {</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;    <span class="keyword">public</span>:</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;</div><div class="line"><a name="l00054"></a><span class="lineno"><a class="line" href="classtgui_1_1Button.html#a50f5464cad267b298d16014d027a1eda">   54</a></span>&#160;        <span class="keyword">typedef</span> std::shared_ptr&lt;Button&gt; <a class="code" href="classtgui_1_1Button.html#a50f5464cad267b298d16014d027a1eda">Ptr</a>; </div><div class="line"><a name="l00055"></a><span class="lineno"><a class="line" href="classtgui_1_1Button.html#ae72008038486af8424f691d2cd572c66">   55</a></span>&#160;        <span class="keyword">typedef</span> std::shared_ptr&lt;const Button&gt; <a class="code" href="classtgui_1_1Button.html#ae72008038486af8424f691d2cd572c66">ConstPtr</a>; </div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;        <span class="comment">// Default constructor</span></div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;<span class="comment"></span>        <a class="code" href="classtgui_1_1Button.html">Button</a>();</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;        <span class="keyword">static</span> <a class="code" href="classtgui_1_1Button.html#a50f5464cad267b298d16014d027a1eda">Button::Ptr</a> create(sf::String text = <span class="stringliteral">&quot;&quot;</span>);</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;        <span class="keyword">static</span> <a class="code" href="classtgui_1_1Button.html#a50f5464cad267b298d16014d027a1eda">Button::Ptr</a> copy(<a class="code" href="classtgui_1_1Button.html#ae72008038486af8424f691d2cd572c66">Button::ConstPtr</a> button);</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;</div><div class="line"><a name="l00092"></a><span class="lineno"><a class="line" href="classtgui_1_1Button.html#a038280d5abe6693dbde9b7d4cae39d82">   92</a></span>&#160;        std::shared_ptr&lt;ButtonRenderer&gt; <a class="code" href="classtgui_1_1Button.html#a038280d5abe6693dbde9b7d4cae39d82">getRenderer</a>()<span class="keyword"> const</span></div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;<span class="keyword">        </span>{</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;            <span class="keywordflow">return</span> std::static_pointer_cast&lt;<a class="code" href="classtgui_1_1ButtonRenderer.html">ButtonRenderer</a>&gt;(m_renderer);</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;        }</div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;</div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;</div><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;        <span class="keyword">virtual</span> <span class="keywordtype">void</span> setPosition(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Layout2d.html">Layout2d</a>&amp; position) <span class="keyword">override</span>;</div><div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;        <span class="keyword">using</span> <a class="code" href="classtgui_1_1Transformable.html#aef14a1428f63eeb8bd820a1b4821a3d0">Transformable::setPosition</a>;</div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;</div><div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;</div><div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;        <span class="keyword">virtual</span> <span class="keywordtype">void</span> setSize(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Layout2d.html">Layout2d</a>&amp; size) <span class="keyword">override</span>;</div><div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;        <span class="keyword">using</span> <a class="code" href="classtgui_1_1Transformable.html#a66fe5d2a7b1477cab073984a9a3e13bc">Transformable::setSize</a>;</div><div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;</div><div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;</div><div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;        <span class="keyword">virtual</span> sf::Vector2f getFullSize() <span class="keyword">const override</span>;</div><div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;</div><div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;</div><div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;        <span class="keyword">virtual</span> <span class="keywordtype">void</span> setFont(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Font.html">Font</a>&amp; font) <span class="keyword">override</span>;</div><div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;</div><div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;</div><div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;        <span class="keywordtype">void</span> setText(<span class="keyword">const</span> sf::String&amp; text);</div><div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;</div><div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;</div><div class="line"><a name="l00161"></a><span class="lineno"><a class="line" href="classtgui_1_1Button.html#a8cc37478ec692e4a0ffe6c051926ce5c">  161</a></span>&#160;        <span class="keyword">const</span> sf::String&amp; <a class="code" href="classtgui_1_1Button.html#a8cc37478ec692e4a0ffe6c051926ce5c">getText</a>()<span class="keyword"> const</span></div><div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160;<span class="keyword">        </span>{</div><div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;            <span class="keywordflow">return</span> m_string;</div><div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160;        }</div><div class="line"><a name="l00165"></a><span class="lineno">  165</span>&#160;</div><div class="line"><a name="l00166"></a><span class="lineno">  166</span>&#160;</div><div class="line"><a name="l00174"></a><span class="lineno">  174</span>&#160;        <span class="keywordtype">void</span> setTextSize(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> size);</div><div class="line"><a name="l00175"></a><span class="lineno">  175</span>&#160;</div><div class="line"><a name="l00176"></a><span class="lineno">  176</span>&#160;</div><div class="line"><a name="l00183"></a><span class="lineno"><a class="line" href="classtgui_1_1Button.html#a4516db738ccc40bca1822fa5ce0a826a">  183</a></span>&#160;        <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classtgui_1_1Button.html#a4516db738ccc40bca1822fa5ce0a826a">getTextSize</a>()<span class="keyword"> const</span></div><div class="line"><a name="l00184"></a><span class="lineno">  184</span>&#160;<span class="keyword">        </span>{</div><div class="line"><a name="l00185"></a><span class="lineno">  185</span>&#160;            <span class="keywordflow">return</span> m_text.getTextSize();</div><div class="line"><a name="l00186"></a><span class="lineno">  186</span>&#160;        }</div><div class="line"><a name="l00187"></a><span class="lineno">  187</span>&#160;</div><div class="line"><a name="l00188"></a><span class="lineno">  188</span>&#160;</div><div class="line"><a name="l00195"></a><span class="lineno">  195</span>&#160;        <span class="keyword">virtual</span> <span class="keywordtype">void</span> setOpacity(<span class="keywordtype">float</span> opacity) <span class="keyword">override</span>;</div><div class="line"><a name="l00196"></a><span class="lineno">  196</span>&#160;</div><div class="line"><a name="l00197"></a><span class="lineno">  197</span>&#160;</div><div class="line"><a name="l00206"></a><span class="lineno">  206</span>&#160;        <span class="keyword">virtual</span> sf::Vector2f getWidgetOffset() <span class="keyword">const override</span>;</div><div class="line"><a name="l00207"></a><span class="lineno">  207</span>&#160;</div><div class="line"><a name="l00208"></a><span class="lineno">  208</span>&#160;</div><div class="line"><a name="l00212"></a><span class="lineno">  212</span>&#160;        <span class="keyword">virtual</span> <span class="keywordtype">void</span> leftMousePressed(<span class="keywordtype">float</span> x, <span class="keywordtype">float</span> y) <span class="keyword">override</span>;</div><div class="line"><a name="l00213"></a><span class="lineno">  213</span>&#160;</div><div class="line"><a name="l00217"></a><span class="lineno">  217</span>&#160;        <span class="keyword">virtual</span> <span class="keywordtype">void</span> leftMouseReleased(<span class="keywordtype">float</span> x, <span class="keywordtype">float</span> y) <span class="keyword">override</span>;</div><div class="line"><a name="l00218"></a><span class="lineno">  218</span>&#160;</div><div class="line"><a name="l00222"></a><span class="lineno">  222</span>&#160;        <span class="keyword">virtual</span> <span class="keywordtype">void</span> keyPressed(<span class="keyword">const</span> sf::Event::KeyEvent&amp; event) <span class="keyword">override</span>;</div><div class="line"><a name="l00223"></a><span class="lineno">  223</span>&#160;</div><div class="line"><a name="l00227"></a><span class="lineno">  227</span>&#160;        <span class="keyword">virtual</span> <span class="keywordtype">void</span> widgetFocused() <span class="keyword">override</span>;</div><div class="line"><a name="l00228"></a><span class="lineno">  228</span>&#160;</div><div class="line"><a name="l00229"></a><span class="lineno">  229</span>&#160;</div><div class="line"><a name="l00231"></a><span class="lineno">  231</span>&#160;    <span class="keyword">protected</span>:</div><div class="line"><a name="l00232"></a><span class="lineno">  232</span>&#160;</div><div class="line"><a name="l00245"></a><span class="lineno">  245</span>&#160;        <span class="keyword">virtual</span> <span class="keywordtype">void</span> reload(<span class="keyword">const</span> std::string&amp; primary = <span class="stringliteral">&quot;&quot;</span>, <span class="keyword">const</span> std::string&amp; secondary = <span class="stringliteral">&quot;&quot;</span>, <span class="keywordtype">bool</span> force = <span class="keyword">false</span>) <span class="keyword">override</span>;</div><div class="line"><a name="l00246"></a><span class="lineno">  246</span>&#160;</div><div class="line"><a name="l00247"></a><span class="lineno">  247</span>&#160;</div><div class="line"><a name="l00249"></a><span class="lineno">  249</span>&#160;        <span class="comment">// Makes a copy of the widget</span></div><div class="line"><a name="l00251"></a><span class="lineno"><a class="line" href="classtgui_1_1Button.html#a7dbb4b4bfd4c9536a031a3ef1a137d8d">  251</a></span>&#160;<span class="comment"></span>        <span class="keyword">virtual</span> <a class="code" href="classtgui_1_1Widget.html#a388912f13898735531886bc676b14f81">Widget::Ptr</a> <a class="code" href="classtgui_1_1Button.html#a7dbb4b4bfd4c9536a031a3ef1a137d8d">clone</a>()<span class="keyword"> const override</span></div><div class="line"><a name="l00252"></a><span class="lineno">  252</span>&#160;<span class="keyword">        </span>{</div><div class="line"><a name="l00253"></a><span class="lineno">  253</span>&#160;            <span class="keywordflow">return</span> std::make_shared&lt;Button&gt;(*this);</div><div class="line"><a name="l00254"></a><span class="lineno">  254</span>&#160;        }</div><div class="line"><a name="l00255"></a><span class="lineno">  255</span>&#160;</div><div class="line"><a name="l00256"></a><span class="lineno">  256</span>&#160;</div><div class="line"><a name="l00258"></a><span class="lineno">  258</span>&#160;        <span class="comment">// This function is called when the mouse enters the widget. If requested, a callback will be send.</span></div><div class="line"><a name="l00260"></a><span class="lineno">  260</span>&#160;<span class="comment"></span>        <span class="keyword">virtual</span> <span class="keywordtype">void</span> mouseEnteredWidget() <span class="keyword">override</span>;</div><div class="line"><a name="l00261"></a><span class="lineno">  261</span>&#160;</div><div class="line"><a name="l00262"></a><span class="lineno">  262</span>&#160;</div><div class="line"><a name="l00264"></a><span class="lineno">  264</span>&#160;        <span class="comment">// This function is called when the mouse leaves the widget. If requested, a callback will be send.</span></div><div class="line"><a name="l00266"></a><span class="lineno">  266</span>&#160;<span class="comment"></span>        <span class="keyword">virtual</span> <span class="keywordtype">void</span> mouseLeftWidget() <span class="keyword">override</span>;</div><div class="line"><a name="l00267"></a><span class="lineno">  267</span>&#160;</div><div class="line"><a name="l00268"></a><span class="lineno">  268</span>&#160;</div><div class="line"><a name="l00270"></a><span class="lineno">  270</span>&#160;        <span class="comment">// Draws the widget on the render target.</span></div><div class="line"><a name="l00272"></a><span class="lineno">  272</span>&#160;<span class="comment"></span>        <span class="keyword">virtual</span> <span class="keywordtype">void</span> draw(sf::RenderTarget&amp; target, sf::RenderStates states) <span class="keyword">const override</span>;</div><div class="line"><a name="l00273"></a><span class="lineno">  273</span>&#160;</div><div class="line"><a name="l00274"></a><span class="lineno">  274</span>&#160;</div><div class="line"><a name="l00276"></a><span class="lineno">  276</span>&#160;    <span class="keyword">protected</span>:</div><div class="line"><a name="l00277"></a><span class="lineno">  277</span>&#160;</div><div class="line"><a name="l00278"></a><span class="lineno">  278</span>&#160;        sf::String m_string;</div><div class="line"><a name="l00279"></a><span class="lineno">  279</span>&#160;        <a class="code" href="classtgui_1_1Label.html">Label</a> m_text;</div><div class="line"><a name="l00280"></a><span class="lineno">  280</span>&#160;</div><div class="line"><a name="l00281"></a><span class="lineno">  281</span>&#160;        <span class="comment">// This will store the size of the text (0 to auto-size)</span></div><div class="line"><a name="l00282"></a><span class="lineno">  282</span>&#160;        <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> m_textSize = 0;</div><div class="line"><a name="l00283"></a><span class="lineno">  283</span>&#160;</div><div class="line"><a name="l00284"></a><span class="lineno">  284</span>&#160;        <span class="keyword">friend</span> <span class="keyword">class </span><a class="code" href="classtgui_1_1ButtonRenderer.html">ButtonRenderer</a>;</div><div class="line"><a name="l00285"></a><span class="lineno">  285</span>&#160;        <span class="keyword">friend</span> <span class="keyword">class </span><a class="code" href="classtgui_1_1ChildWindow.html">ChildWindow</a>;</div><div class="line"><a name="l00286"></a><span class="lineno">  286</span>&#160;    };</div><div class="line"><a name="l00287"></a><span class="lineno">  287</span>&#160;</div><div class="line"><a name="l00289"></a><span class="lineno">  289</span>&#160;</div><div class="line"><a name="l00290"></a><span class="lineno"><a class="line" href="classtgui_1_1ButtonRenderer.html">  290</a></span>&#160;    <span class="keyword">class </span>TGUI_API <a class="code" href="classtgui_1_1ButtonRenderer.html">ButtonRenderer</a> : <span class="keyword">public</span> <a class="code" href="classtgui_1_1WidgetRenderer.html">WidgetRenderer</a>, <span class="keyword">public</span> <a class="code" href="classtgui_1_1WidgetBorders.html">WidgetBorders</a></div><div class="line"><a name="l00291"></a><span class="lineno">  291</span>&#160;    {</div><div class="line"><a name="l00292"></a><span class="lineno">  292</span>&#160;    <span class="keyword">public</span>:</div><div class="line"><a name="l00293"></a><span class="lineno">  293</span>&#160;</div><div class="line"><a name="l00300"></a><span class="lineno"><a class="line" href="classtgui_1_1ButtonRenderer.html#a46e22053423e5c619506740deaf0d427">  300</a></span>&#160;        <a class="code" href="classtgui_1_1ButtonRenderer.html#a46e22053423e5c619506740deaf0d427">ButtonRenderer</a>(<a class="code" href="classtgui_1_1Button.html">Button</a>* button) : m_button{button} {}</div><div class="line"><a name="l00301"></a><span class="lineno">  301</span>&#160;</div><div class="line"><a name="l00302"></a><span class="lineno">  302</span>&#160;</div><div class="line"><a name="l00312"></a><span class="lineno">  312</span>&#160;        <span class="keyword">virtual</span> <span class="keywordtype">void</span> setProperty(std::string property, <span class="keyword">const</span> std::string&amp; value) <span class="keyword">override</span>;</div><div class="line"><a name="l00313"></a><span class="lineno">  313</span>&#160;</div><div class="line"><a name="l00314"></a><span class="lineno">  314</span>&#160;</div><div class="line"><a name="l00325"></a><span class="lineno">  325</span>&#160;        <span class="keyword">virtual</span> <span class="keywordtype">void</span> setProperty(std::string property, <a class="code" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a>&amp;&amp; value) <span class="keyword">override</span>;</div><div class="line"><a name="l00326"></a><span class="lineno">  326</span>&#160;</div><div class="line"><a name="l00327"></a><span class="lineno">  327</span>&#160;</div><div class="line"><a name="l00337"></a><span class="lineno">  337</span>&#160;        <span class="keyword">virtual</span> <a class="code" href="classtgui_1_1ObjectConverter.html">ObjectConverter</a> getProperty(std::string property) <span class="keyword">const override</span>;</div><div class="line"><a name="l00338"></a><span class="lineno">  338</span>&#160;</div><div class="line"><a name="l00339"></a><span class="lineno">  339</span>&#160;</div><div class="line"><a name="l00346"></a><span class="lineno">  346</span>&#160;        <span class="keyword">virtual</span> std::map&lt;std::string, ObjectConverter&gt; getPropertyValuePairs() <span class="keyword">const override</span>;</div><div class="line"><a name="l00347"></a><span class="lineno">  347</span>&#160;</div><div class="line"><a name="l00348"></a><span class="lineno">  348</span>&#160;</div><div class="line"><a name="l00361"></a><span class="lineno">  361</span>&#160;        <span class="keywordtype">void</span> setTextColor(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Color.html">Color</a>&amp; color);</div><div class="line"><a name="l00362"></a><span class="lineno">  362</span>&#160;</div><div class="line"><a name="l00363"></a><span class="lineno">  363</span>&#160;</div><div class="line"><a name="l00370"></a><span class="lineno">  370</span>&#160;        <span class="keywordtype">void</span> setTextColorNormal(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Color.html">Color</a>&amp; color);</div><div class="line"><a name="l00371"></a><span class="lineno">  371</span>&#160;</div><div class="line"><a name="l00372"></a><span class="lineno">  372</span>&#160;</div><div class="line"><a name="l00379"></a><span class="lineno">  379</span>&#160;        <span class="keywordtype">void</span> setTextColorHover(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Color.html">Color</a>&amp; color);</div><div class="line"><a name="l00380"></a><span class="lineno">  380</span>&#160;</div><div class="line"><a name="l00381"></a><span class="lineno">  381</span>&#160;</div><div class="line"><a name="l00388"></a><span class="lineno">  388</span>&#160;        <span class="keywordtype">void</span> setTextColorDown(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Color.html">Color</a>&amp; color);</div><div class="line"><a name="l00389"></a><span class="lineno">  389</span>&#160;</div><div class="line"><a name="l00390"></a><span class="lineno">  390</span>&#160;</div><div class="line"><a name="l00405"></a><span class="lineno">  405</span>&#160;        <span class="keywordtype">void</span> setBackgroundColor(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Color.html">Color</a>&amp; color);</div><div class="line"><a name="l00406"></a><span class="lineno">  406</span>&#160;</div><div class="line"><a name="l00407"></a><span class="lineno">  407</span>&#160;</div><div class="line"><a name="l00416"></a><span class="lineno">  416</span>&#160;        <span class="keywordtype">void</span> setBackgroundColorNormal(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Color.html">Color</a>&amp; color);</div><div class="line"><a name="l00417"></a><span class="lineno">  417</span>&#160;</div><div class="line"><a name="l00418"></a><span class="lineno">  418</span>&#160;</div><div class="line"><a name="l00427"></a><span class="lineno">  427</span>&#160;        <span class="keywordtype">void</span> setBackgroundColorHover(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Color.html">Color</a>&amp; color);</div><div class="line"><a name="l00428"></a><span class="lineno">  428</span>&#160;</div><div class="line"><a name="l00429"></a><span class="lineno">  429</span>&#160;</div><div class="line"><a name="l00438"></a><span class="lineno">  438</span>&#160;        <span class="keywordtype">void</span> setBackgroundColorDown(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Color.html">Color</a>&amp; color);</div><div class="line"><a name="l00439"></a><span class="lineno">  439</span>&#160;</div><div class="line"><a name="l00440"></a><span class="lineno">  440</span>&#160;</div><div class="line"><a name="l00447"></a><span class="lineno">  447</span>&#160;        <span class="keywordtype">void</span> setBorderColor(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Color.html">Color</a>&amp; color);</div><div class="line"><a name="l00448"></a><span class="lineno">  448</span>&#160;</div><div class="line"><a name="l00449"></a><span class="lineno">  449</span>&#160;</div><div class="line"><a name="l00459"></a><span class="lineno">  459</span>&#160;        <span class="keywordtype">void</span> setNormalTexture(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Texture.html">Texture</a>&amp; texture);</div><div class="line"><a name="l00460"></a><span class="lineno">  460</span>&#160;</div><div class="line"><a name="l00461"></a><span class="lineno">  461</span>&#160;</div><div class="line"><a name="l00470"></a><span class="lineno">  470</span>&#160;        <span class="keywordtype">void</span> setHoverTexture(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Texture.html">Texture</a>&amp; texture);</div><div class="line"><a name="l00471"></a><span class="lineno">  471</span>&#160;</div><div class="line"><a name="l00472"></a><span class="lineno">  472</span>&#160;</div><div class="line"><a name="l00481"></a><span class="lineno">  481</span>&#160;        <span class="keywordtype">void</span> setDownTexture(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Texture.html">Texture</a>&amp; texture);</div><div class="line"><a name="l00482"></a><span class="lineno">  482</span>&#160;</div><div class="line"><a name="l00483"></a><span class="lineno">  483</span>&#160;</div><div class="line"><a name="l00492"></a><span class="lineno">  492</span>&#160;        <span class="keywordtype">void</span> setFocusTexture(<span class="keyword">const</span> <a class="code" href="classtgui_1_1Texture.html">Texture</a>&amp; texture);</div><div class="line"><a name="l00493"></a><span class="lineno">  493</span>&#160;</div><div class="line"><a name="l00494"></a><span class="lineno">  494</span>&#160;</div><div class="line"><a name="l00496"></a><span class="lineno">  496</span>&#160;        <span class="comment">// Draws the widget on the render target.</span></div><div class="line"><a name="l00498"></a><span class="lineno">  498</span>&#160;<span class="comment"></span>        <span class="keywordtype">void</span> draw(sf::RenderTarget&amp; target, sf::RenderStates states) <span class="keyword">const</span>;</div><div class="line"><a name="l00499"></a><span class="lineno">  499</span>&#160;</div><div class="line"><a name="l00500"></a><span class="lineno">  500</span>&#160;</div><div class="line"><a name="l00502"></a><span class="lineno">  502</span>&#160;    <span class="keyword">private</span>:</div><div class="line"><a name="l00503"></a><span class="lineno">  503</span>&#160;</div><div class="line"><a name="l00505"></a><span class="lineno">  505</span>&#160;        <span class="comment">// Makes a copy of the renderer</span></div><div class="line"><a name="l00507"></a><span class="lineno">  507</span>&#160;<span class="comment"></span>        <span class="keyword">virtual</span> std::shared_ptr&lt;WidgetRenderer&gt; clone(<a class="code" href="classtgui_1_1Widget.html">Widget</a>* widget) <span class="keyword">override</span>;</div><div class="line"><a name="l00508"></a><span class="lineno">  508</span>&#160;</div><div class="line"><a name="l00509"></a><span class="lineno">  509</span>&#160;</div><div class="line"><a name="l00511"></a><span class="lineno">  511</span>&#160;    <span class="keyword">protected</span>:</div><div class="line"><a name="l00512"></a><span class="lineno">  512</span>&#160;</div><div class="line"><a name="l00513"></a><span class="lineno">  513</span>&#160;        <a class="code" href="classtgui_1_1Button.html">Button</a>* m_button;</div><div class="line"><a name="l00514"></a><span class="lineno">  514</span>&#160;</div><div class="line"><a name="l00515"></a><span class="lineno">  515</span>&#160;        sf::Color m_textColorNormal;</div><div class="line"><a name="l00516"></a><span class="lineno">  516</span>&#160;        sf::Color m_textColorHover;</div><div class="line"><a name="l00517"></a><span class="lineno">  517</span>&#160;        sf::Color m_textColorDown;</div><div class="line"><a name="l00518"></a><span class="lineno">  518</span>&#160;</div><div class="line"><a name="l00519"></a><span class="lineno">  519</span>&#160;        sf::Color m_backgroundColorNormal;</div><div class="line"><a name="l00520"></a><span class="lineno">  520</span>&#160;        sf::Color m_backgroundColorHover;</div><div class="line"><a name="l00521"></a><span class="lineno">  521</span>&#160;        sf::Color m_backgroundColorDown;</div><div class="line"><a name="l00522"></a><span class="lineno">  522</span>&#160;</div><div class="line"><a name="l00523"></a><span class="lineno">  523</span>&#160;        sf::Color m_borderColor;</div><div class="line"><a name="l00524"></a><span class="lineno">  524</span>&#160;</div><div class="line"><a name="l00525"></a><span class="lineno">  525</span>&#160;        <a class="code" href="classtgui_1_1Texture.html">Texture</a> m_textureNormal;</div><div class="line"><a name="l00526"></a><span class="lineno">  526</span>&#160;        <a class="code" href="classtgui_1_1Texture.html">Texture</a> m_textureHover;</div><div class="line"><a name="l00527"></a><span class="lineno">  527</span>&#160;        <a class="code" href="classtgui_1_1Texture.html">Texture</a> m_textureDown;</div><div class="line"><a name="l00528"></a><span class="lineno">  528</span>&#160;        <a class="code" href="classtgui_1_1Texture.html">Texture</a> m_textureFocused;</div><div class="line"><a name="l00529"></a><span class="lineno">  529</span>&#160;</div><div class="line"><a name="l00530"></a><span class="lineno">  530</span>&#160;        <span class="keyword">friend</span> <span class="keyword">class </span><a class="code" href="classtgui_1_1Button.html">Button</a>;</div><div class="line"><a name="l00531"></a><span class="lineno">  531</span>&#160;        <span class="keyword">friend</span> <span class="keyword">class </span><a class="code" href="classtgui_1_1ChildWindow.html">ChildWindow</a>;</div><div class="line"><a name="l00532"></a><span class="lineno">  532</span>&#160;        <span class="keyword">friend</span> <span class="keyword">class </span><a class="code" href="classtgui_1_1ChildWindowRenderer.html">ChildWindowRenderer</a>;</div><div class="line"><a name="l00533"></a><span class="lineno">  533</span>&#160;        <span class="keyword">friend</span> <span class="keyword">class </span><a class="code" href="classtgui_1_1MessageBox.html">MessageBox</a>;</div><div class="line"><a name="l00534"></a><span class="lineno">  534</span>&#160;</div><div class="line"><a name="l00536"></a><span class="lineno">  536</span>&#160;    };</div><div class="line"><a name="l00537"></a><span class="lineno">  537</span>&#160;</div><div class="line"><a name="l00539"></a><span class="lineno">  539</span>&#160;}</div><div class="line"><a name="l00540"></a><span class="lineno">  540</span>&#160;</div><div class="line"><a name="l00542"></a><span class="lineno">  542</span>&#160;</div><div class="line"><a name="l00543"></a><span class="lineno">  543</span>&#160;<span class="preprocessor">#endif // TGUI_BUTTON_HPP</span></div><div class="line"><a name="l00544"></a><span class="lineno">  544</span>&#160;</div><div class="ttc" id="namespacetgui_html"><div class="ttname"><a href="namespacetgui.html">tgui</a></div><div class="ttdoc">Namespace that contains all TGUI functions and classes. </div><div class="ttdef"><b>Definition:</b> Animation.hpp:33</div></div>
<div class="ttc" id="classtgui_1_1Color_html"><div class="ttname"><a href="classtgui_1_1Color.html">tgui::Color</a></div><div class="ttdoc">Implicit converter for colors. </div><div class="ttdef"><b>Definition:</b> Color.hpp:39</div></div>
<div class="ttc" id="classtgui_1_1ChildWindow_html"><div class="ttname"><a href="classtgui_1_1ChildWindow.html">tgui::ChildWindow</a></div><div class="ttdoc">Child window widget. </div><div class="ttdef"><b>Definition:</b> ChildWindow.hpp:60</div></div>
<div class="ttc" id="classtgui_1_1Font_html"><div class="ttname"><a href="classtgui_1_1Font.html">tgui::Font</a></div><div class="ttdef"><b>Definition:</b> Font.hpp:37</div></div>
<div class="ttc" id="classtgui_1_1Layout2d_html"><div class="ttname"><a href="classtgui_1_1Layout2d.html">tgui::Layout2d</a></div><div class="ttdoc">Class to store the position or size of a widget. </div><div class="ttdef"><b>Definition:</b> Layout.hpp:254</div></div>
<div class="ttc" id="classtgui_1_1Label_html"><div class="ttname"><a href="classtgui_1_1Label.html">tgui::Label</a></div><div class="ttdoc">Label widget. </div><div class="ttdef"><b>Definition:</b> Label.hpp:49</div></div>
<div class="ttc" id="classtgui_1_1Widget_html"><div class="ttname"><a href="classtgui_1_1Widget.html">tgui::Widget</a></div><div class="ttdoc">The parent class for every widget. </div><div class="ttdef"><b>Definition:</b> Widget.hpp:71</div></div>
<div class="ttc" id="classtgui_1_1Button_html_a038280d5abe6693dbde9b7d4cae39d82"><div class="ttname"><a href="classtgui_1_1Button.html#a038280d5abe6693dbde9b7d4cae39d82">tgui::Button::getRenderer</a></div><div class="ttdeci">std::shared_ptr&lt; ButtonRenderer &gt; getRenderer() const </div><div class="ttdoc">Returns the renderer, which gives access to functions that determine how the widget is displayed...</div><div class="ttdef"><b>Definition:</b> Button.hpp:92</div></div>
<div class="ttc" id="classtgui_1_1Transformable_html_a66fe5d2a7b1477cab073984a9a3e13bc"><div class="ttname"><a href="classtgui_1_1Transformable.html#a66fe5d2a7b1477cab073984a9a3e13bc">tgui::Transformable::setSize</a></div><div class="ttdeci">virtual void setSize(const Layout2d &amp;size)</div><div class="ttdoc">Changes the size of the widget. </div></div>
<div class="ttc" id="classtgui_1_1ButtonRenderer_html"><div class="ttname"><a href="classtgui_1_1ButtonRenderer.html">tgui::ButtonRenderer</a></div><div class="ttdef"><b>Definition:</b> Button.hpp:290</div></div>
<div class="ttc" id="classtgui_1_1Button_html_ae72008038486af8424f691d2cd572c66"><div class="ttname"><a href="classtgui_1_1Button.html#ae72008038486af8424f691d2cd572c66">tgui::Button::ConstPtr</a></div><div class="ttdeci">std::shared_ptr&lt; const Button &gt; ConstPtr</div><div class="ttdoc">Shared constant widget pointer. </div><div class="ttdef"><b>Definition:</b> Button.hpp:55</div></div>
<div class="ttc" id="classtgui_1_1Transformable_html_aef14a1428f63eeb8bd820a1b4821a3d0"><div class="ttname"><a href="classtgui_1_1Transformable.html#aef14a1428f63eeb8bd820a1b4821a3d0">tgui::Transformable::setPosition</a></div><div class="ttdeci">virtual void setPosition(const Layout2d &amp;position)</div><div class="ttdoc">set the position of the widget </div></div>
<div class="ttc" id="classtgui_1_1ClickableWidget_html"><div class="ttname"><a href="classtgui_1_1ClickableWidget.html">tgui::ClickableWidget</a></div><div class="ttdoc">Clickable widget. </div><div class="ttdef"><b>Definition:</b> ClickableWidget.hpp:55</div></div>
<div class="ttc" id="classtgui_1_1WidgetBorders_html"><div class="ttname"><a href="classtgui_1_1WidgetBorders.html">tgui::WidgetBorders</a></div><div class="ttdoc">Parent class for every widget that has borders. </div><div class="ttdef"><b>Definition:</b> Borders.hpp:136</div></div>
<div class="ttc" id="classtgui_1_1ObjectConverter_html"><div class="ttname"><a href="classtgui_1_1ObjectConverter.html">tgui::ObjectConverter</a></div><div class="ttdoc">Implicit converter for settable properties. </div><div class="ttdef"><b>Definition:</b> ObjectConverter.hpp:42</div></div>
<div class="ttc" id="classtgui_1_1Widget_html_a388912f13898735531886bc676b14f81"><div class="ttname"><a href="classtgui_1_1Widget.html#a388912f13898735531886bc676b14f81">tgui::Widget::Ptr</a></div><div class="ttdeci">std::shared_ptr&lt; Widget &gt; Ptr</div><div class="ttdoc">Shared widget pointer. </div><div class="ttdef"><b>Definition:</b> Widget.hpp:75</div></div>
<div class="ttc" id="classtgui_1_1Button_html"><div class="ttname"><a href="classtgui_1_1Button.html">tgui::Button</a></div><div class="ttdoc">Button widget. </div><div class="ttdef"><b>Definition:</b> Button.hpp:50</div></div>
<div class="ttc" id="classtgui_1_1Texture_html"><div class="ttname"><a href="classtgui_1_1Texture.html">tgui::Texture</a></div><div class="ttdef"><b>Definition:</b> Texture.hpp:44</div></div>
<div class="ttc" id="classtgui_1_1Button_html_a4516db738ccc40bca1822fa5ce0a826a"><div class="ttname"><a href="classtgui_1_1Button.html#a4516db738ccc40bca1822fa5ce0a826a">tgui::Button::getTextSize</a></div><div class="ttdeci">unsigned int getTextSize() const </div><div class="ttdoc">Returns the character size of the text. </div><div class="ttdef"><b>Definition:</b> Button.hpp:183</div></div>
<div class="ttc" id="classtgui_1_1ButtonRenderer_html_a46e22053423e5c619506740deaf0d427"><div class="ttname"><a href="classtgui_1_1ButtonRenderer.html#a46e22053423e5c619506740deaf0d427">tgui::ButtonRenderer::ButtonRenderer</a></div><div class="ttdeci">ButtonRenderer(Button *button)</div><div class="ttdoc">Constructor. </div><div class="ttdef"><b>Definition:</b> Button.hpp:300</div></div>
<div class="ttc" id="classtgui_1_1ChildWindowRenderer_html"><div class="ttname"><a href="classtgui_1_1ChildWindowRenderer.html">tgui::ChildWindowRenderer</a></div><div class="ttdef"><b>Definition:</b> ChildWindow.hpp:586</div></div>
<div class="ttc" id="classtgui_1_1Button_html_a7dbb4b4bfd4c9536a031a3ef1a137d8d"><div class="ttname"><a href="classtgui_1_1Button.html#a7dbb4b4bfd4c9536a031a3ef1a137d8d">tgui::Button::clone</a></div><div class="ttdeci">virtual Widget::Ptr clone() const  override</div><div class="ttdoc">Makes a copy of the widget if you don&amp;#39;t know its exact type. </div><div class="ttdef"><b>Definition:</b> Button.hpp:251</div></div>
<div class="ttc" id="classtgui_1_1MessageBox_html"><div class="ttname"><a href="classtgui_1_1MessageBox.html">tgui::MessageBox</a></div><div class="ttdoc">Message box widget. </div><div class="ttdef"><b>Definition:</b> MessageBox.hpp:51</div></div>
<div class="ttc" id="classtgui_1_1Button_html_a50f5464cad267b298d16014d027a1eda"><div class="ttname"><a href="classtgui_1_1Button.html#a50f5464cad267b298d16014d027a1eda">tgui::Button::Ptr</a></div><div class="ttdeci">std::shared_ptr&lt; Button &gt; Ptr</div><div class="ttdoc">Shared widget pointer. </div><div class="ttdef"><b>Definition:</b> Button.hpp:54</div></div>
<div class="ttc" id="classtgui_1_1WidgetRenderer_html"><div class="ttname"><a href="classtgui_1_1WidgetRenderer.html">tgui::WidgetRenderer</a></div><div class="ttdoc">Base class for all renderer classes. </div><div class="ttdef"><b>Definition:</b> Widget.hpp:682</div></div>
<div class="ttc" id="classtgui_1_1Button_html_a8cc37478ec692e4a0ffe6c051926ce5c"><div class="ttname"><a href="classtgui_1_1Button.html#a8cc37478ec692e4a0ffe6c051926ce5c">tgui::Button::getText</a></div><div class="ttdeci">const sf::String &amp; getText() const </div><div class="ttdoc">Returns the caption of the button. </div><div class="ttdef"><b>Definition:</b> Button.hpp:161</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- HTML footer for doxygen 1.8.10-->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sat Nov 25 2017 17:32:41 for TGUI by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.11
</small></address>
<!-- BEGIN CUSTOM 3 -->
<!-- {% endraw %} -{{""}}-{{""}}>
</div>
{% include page_footer.ext %}
</div>
{% include footer.ext %}
<{{""}}!{{""}}-{{""}}- -->
<!-- END CUSTOM 3 -->
</body>
</html>
